Get effectiveness for a private set
curl --request GET \
--url https://api.rated.network/v1/eth/sets/{set_id}/effectiveness \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/sets/{set_id}/effectiveness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/sets/{set_id}/effectiveness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/sets/{set_id}/effectiveness?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/sets/{set_id}/effectiveness?limit=10&offset=10",
"results": [
[
{
"avgAttesterEffectiveness": 97.9580945527236,
"avgCorrectness": 0.9929917401071404,
"avgInclusionDelay": 1.0138705386457403,
"avgProposerEffectiveness": 99.53271028037379,
"avgUptime": 0.9999466390184881,
"avgValidatorEffectiveness": 97.96642775943795,
"date": "2023-01-01",
"day": 796,
"endDate": "2023-01-07",
"endDay": 802,
"endEpoch": 63775,
"hour": 19056,
"startDate": "2023-01-01",
"startDay": 796,
"startEpoch": 63744,
"sumEpochEndBalance": 320000000000000000000,
"sumEpochEndEffectiveBalance": 320000000000000000000,
"validatorCount": 16075
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Performance
Get effectiveness for a private set
This endpoint returns a bunch of useful information about the historical performance of all validators belonging to a private set. Use this endpoint to retrieve top level metrics on proposer effectiveness, attester effectiveness and overall effectiveness.
GET
/
v1
/
eth
/
sets
/
{set_id}
/
effectiveness
Get effectiveness for a private set
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
End date
Example:
"2023-12-31"
Start date
Example:
"2023-01-01"
Start day
Required range:
x >= 0Example:
"791"
End day
Required range:
x >= 0Example:
"851"
Returns results based on UTC days (true) or ETH chain days (false)
The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc The size of time increments you are looking to query
Available options:
hour, day, week, month, quarter, year, all